package com.zcloud.service.bus.impl;

import com.zcloud.mapper.dsno2.corp.AllWorkItemMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.zcloud.entity.PageData;
import com.zcloud.service.bus.AllWorkItemService;

/**
 * 说明：作业项数据清除(多项目通用)
 * 作者：zy
 * 时间：2021-01-25
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class AllWorkItemServiceImpl implements AllWorkItemService{

	@Autowired
	private AllWorkItemMapper allWorkItemMapper;

	/**删除有限空间审批单（pro端，公司试用结束时使用）
	 * @param pd
	 * @throws Exception
	 */
	public void deleteProLimitspace(PageData pd)throws Exception{
		allWorkItemMapper.deleteProLimitspace(pd);
	}

	/**删除有限空间审批单记录（yjb端，公司试用结束时使用）
	 * @param pd
	 * @throws Exception
	 */
	public void deleteYjbConLog(PageData pd)throws Exception{
		allWorkItemMapper.deleteYjbConLog(pd);
	}

	/**删除有限空间审批单安全措施（yjb端，公司试用结束时使用）
	 * @param pd
	 * @throws Exception
	 */
	public void deleteYjbConMeth(PageData pd)throws Exception{
		allWorkItemMapper.deleteYjbConMeth(pd);
	}

	/**删除有限空间审批单审核记录（yjb端，公司试用结束时使用）
	 * @param pd
	 * @throws Exception
	 */
	public void deleteYjbConAudit(PageData pd)throws Exception{
		allWorkItemMapper.deleteYjbConAudit(pd);
	}

	/**删除有限空间审批单审核记录（yjb端，公司试用结束时使用）
	 * @param pd
	 * @throws Exception
	 */
	public void deleteYjbConGas(PageData pd)throws Exception{
		allWorkItemMapper.deleteYjbConGas(pd);
	}

	/**删除有限空间审批单（yjb端，公司试用结束时使用）
	 * @param pd
	 * @throws Exception
	 */
	public void deleteYjbCon(PageData pd)throws Exception{
		allWorkItemMapper.deleteYjbCon(pd);
	}





	public void deleteYjbHighLog(PageData pd)throws Exception{
		allWorkItemMapper.deleteYjbHighLog(pd);
	}


	public void deleteYjbHighAudit(PageData pd)throws Exception{
		allWorkItemMapper.deleteYjbHighAudit(pd);
	}


	public void deleteYjbHighApprove(PageData pd)throws Exception{
		allWorkItemMapper.deleteYjbHighApprove(pd);
	}


	public void deleteYjbHighCheck(PageData pd)throws Exception{
		allWorkItemMapper.deleteYjbHighCheck(pd);
	}


	public void deleteYjbHotLog(PageData pd)throws Exception{
		allWorkItemMapper.deleteYjbHotLog(pd);
	}


	public void deleteYjbHotAudit(PageData pd)throws Exception{
		allWorkItemMapper.deleteYjbHotAudit(pd);
	}


	public void deleteYjbHotGas(PageData pd)throws Exception{
		allWorkItemMapper.deleteYjbHotGas(pd);
	}


	public void deleteYjbHotMeth(PageData pd)throws Exception{
		allWorkItemMapper.deleteYjbHotMeth(pd);
	}


	public void deleteYjbHotCheck(PageData pd)throws Exception{
		allWorkItemMapper.deleteYjbHotCheck(pd);
	}


	public void deleteYjbBlindLog(PageData pd)throws Exception{
		allWorkItemMapper.deleteYjbBlindLog(pd);
	}


	public void deleteYjbBlindAudit(PageData pd)throws Exception{
		allWorkItemMapper.deleteYjbBlindAudit(pd);
	}


	public void deleteYjbBlindUnit(PageData pd)throws Exception{
		allWorkItemMapper.deleteYjbBlindUnit(pd);
	}


	public void deleteYjbBlindMeth(PageData pd)throws Exception{
		allWorkItemMapper.deleteYjbBlindMeth(pd);
	}


	public void deleteYjbBlindCheck(PageData pd)throws Exception{
		allWorkItemMapper.deleteYjbBlindCheck(pd);
	}



}

